var code = require('sfcc-ci').code;
var dw = require(process.cwd() + '/dw.json');
var options = { 
        pfx: 'build_cert.p12', 
        passphrase: dw.cert_pass
    };

module.exports = function(fileName, token){    
    if(token){
        code.deploy(dw.hostname, (fileName + ".zip"), token, (dw.hostname.startsWith('cert') ? options : {}), function(err){
            if(!err){
                code.activate(dw.ocapi_endpoint || dw.hostname, fileName, token, function(err){
                    if(err){
                        console.log(err);
                    }
                });
            }
            else {
                console.log(err);
            }
        });
    }
    else {
        console.log(err);
    }
}